//------------------------------------//
//                                    //
// Original lun3dm3 shader by Lunaran //
//                                    //
//------------------------------------//
textures/mksteel/xpipkil1ashiny
{
	qer_editorimage textures/mksteel/xpipkil1a.tga
	surfaceparm metalsteps
	{
		map textures/mksteel/doomfx1.tga
		tcGen environment
	}
	{
		map textures/mksteel/xpipkil1a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//-----------------------------------------//
//                                         //
// Original lun3dm3tech shaders by Lunaran //
//                                         //
//-----------------------------------------//
textures/mksteel/ceil2_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/mksteel/ceil2_lunglow.tga
	qer_editorimage textures/mksteel/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mksteel/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mksteel/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mksteel/ceil2_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/mksteel/ceil2_lunglow.tga
	qer_editorimage textures/mksteel/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mksteel/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mksteel/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mksteel/ceil2_lun_1k
{
	surfaceparm nodlight
	q3map_surfacelight 1000
	q3map_lightimage textures/mksteel/ceil2_lunglow.tga
	qer_editorimage textures/mksteel/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/mksteel/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/mksteel/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/mksteel/ceilwhite1_1k
{
	qer_editorimage textures/mksteel/ceilwhite1.tga
	q3map_lightimage textures/mksteel/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mksteel/ceilwhite1_10k
{
	qer_editorimage textures/mksteel/ceilwhite1.tga
	q3map_lightimage textures/mksteel/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mksteel/ceilwhite1_20k
{
	qer_editorimage textures/mksteel/ceilwhite1.tga
	q3map_lightimage textures/mksteel/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mksteel/ceilwhite1_5k
{
	qer_editorimage textures/mksteel/ceilwhite1.tga
	q3map_lightimage textures/mksteel/ceilwhite1fx.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/ceilwhite1fx.tga
		blendFunc GL_ONE GL_ONE
	}
}

//
// -- New and Improved - 100% Doom Computer Textures
// -- Just like the chainsaw maze from E1M2! :D
//

textures/mksteel/comp1
{
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.07 0 5
	}
}

textures/mksteel/comp2
{
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave noise 0.95 0.07 0 5
	}
}

textures/mksteel/compwerd1
{
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/compwerd1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/compwerd2
{
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/compwerd2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/compwerd3
{
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/compwerd3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/comp3_1
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/comp3_2
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/comp3_3
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/comp3_4
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/comp3_5
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx5.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/comp3_6
{
	qer_editorimage textures/mksteel/comp3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/comp3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/comp3fx6.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/mksteel/compblue1
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/compblue1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/hexflat3a
{
	{
		map textures/mksteel/doomfx1red.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/hexflat3a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/mksteelsky
{
	qer_editorimage textures/mksteel/sky1.tga

	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky

	skyparms env/mksteelsky - -
	q3map_surfacelight 200
	q3map_lightimage textures/mksteel/sky1.tga
	q3map_sun 1 1 1 175 45 80
}

//
// -- Gratuitous Lightage
//

textures/mksteel/lights_1k
{
	qer_editorimage textures/mksteel/slight1.tga
	q3map_lightimage textures/mksteel/slight1fx.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/slight1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/slight1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 1 0.4
	}
}

textures/mksteel/lights_blue_1k
{
	qer_editorimage textures/mksteel/slight1_blue.tga
	q3map_lightimage textures/mksteel/slight1fx_blue.tga
	surfaceparm nomarks
	q3map_lightsubdivide 32
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/slight1_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/slight1fx_blue.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.9 0.2 1 0.4
	}
}

// l33t shiny metal shaders
textures/mksteel/span1
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span1b
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span1b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span1c
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span1c.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span1d
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span1d.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span1e
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span1e.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span2
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span2b
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span2b.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/span3
{
	surfaceparm metalsteps
	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/span3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/spanglue
{
	surfaceparm metalsteps
	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/spanglue.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
}	}

textures/mksteel/starb2ashiny
{
	qer_editorimage textures/mksteel/starb2a.tga
	{
		map textures/mksteel/doomfx1.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mksteel/starb2a.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/support1
{	{	map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment	}
	{	map textures/mksteel/support1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	}
	{	map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/water1
{
	q3map_globaltexture
	q3map_surfacelight 30
	cull disable

	qer_editorimage textures/mksteel/water_sfx.tga
	qer_trans 0.4
	tessSize 48
	deformVertexes wave 33 sin 1 2 0.5 0.5

	surfaceparm trans
	surfaceparm water
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/mksteel/water_sfx.tga
		tcMod scroll 0.05 -0.09
		tcMod turb .15 .1 .2 .15
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/mksteel/water_bfx.tga
		tcMod scroll -0.05 0.09
		tcMod turb .15 .1 .1 .15
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

//--------------------------------
// Additions made to shader by MK
//--------------------------------
textures/mksteel/span2c_1000
{
	q3map_surfacelight 1000
	q3map_lightimage textures/mksteel/span2cfx.tga
	qer_editorimage textures/mksteel/span2c.tga
	surfaceparm nomarks
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/span2c.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/span2cfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1.0 0.1 0 0.2
	}
}

textures/mksteel/span2c_2000
{
	q3map_surfacelight 2000
	q3map_lightimage textures/mksteel/span2cfx.tga
	qer_editorimage textures/mksteel/span2c.tga
	surfaceparm nomarks
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/span2c.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/span2cfx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1.0 0.1 0 0.2
	}
}

textures/mksteel/support2_1000
{
	q3map_surfacelight 1000
	q3map_lightimage textures/mksteel/support2fx.tga
	qer_editorimage textures/mksteel/support2.tga
	surfaceparm nomarks
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/support2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/support2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1.0 0.1 0 0.2
	}
}

textures/mksteel/support2_2000
{
	q3map_surfacelight 2000
	q3map_lightimage textures/mksteel/support2fx.tga
	qer_editorimage textures/mksteel/support2.tga
	surfaceparm nomarks
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/support2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/support2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 1.0 0.1 0 0.2
	}
}

textures/mksteel/than_button1off
{
	qer_editorimage textures/mksteel/than_button1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/than_button1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/than_button1fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.0 0.1 0 2
	}
}

textures/mksteel/than_button2on
{
	qer_editorimage textures/mksteel/than_button2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/than_button2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mksteel/than_button2fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.95 0.1 0 2
	}
}

textures/mksteel/hexflat_bounce1
{
	qer_editorimage textures/mksteel/hexflat_bounce.tga
	surfaceparm	metalsteps
	surfaceparm	nodamage
	{
		clampmap textures/mksteel/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/mksteel/hexflat_bounce.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mksteel/ceil2_lun_1k
{
	surfaceparm nodlight
	q3map_surfacelight 1000
	q3map_lightimage textures/mksteel/ceil2_lunglow.tga
	qer_editorimage textures/mksteel/ceil2_lun.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/mksteel/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE
	}
}

// silent nodamage carpet shaders
textures/mksteel/carpet1_slient
{
	qer_editorimage textures/mksteel/carpet1.tga
	surfaceparm nosteps
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/carpet1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mksteel/carpet3_slient
{
	qer_editorimage textures/mksteel/carpet3.tga
	surfaceparm nosteps
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/carpet3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// flare shader ripped from charon3dm11
textures/mksteel/whiteflare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/mksteel/whiteflare.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/mksteel/charon_lightning2
{
	q3map_surfacelight 500
	q3map_lightimage textures/mksteel/charon_lightning2.tga
	qer_editorimage textures/mksteel/charon_lightning2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/mksteel/charon_lightning2.tga
		blendfunc add
		rgbGen wave noise 0.2 1 0 16 
		tcMod scroll 0.4 0.9
	}
	{
		map textures/mksteel/charon_lightning2_2.tga
		blendfunc add
		rgbGen wave noise 0 1 0.2 19 
		tcMod scroll -0.5 0.9
	}
	{
		map textures/mksteel/charon_flare3.tga
		blendfunc add
		rgbGen wave noise 0.4 1 0 16 
		tcMod scroll 0 0.9
	}
	
	{
		map textures/mksteel/charon_lightning2.tga
		blendfunc add
		rgbGen wave noise 0.2 1 0 12 
		tcMod scroll 0.2 0.6
	}
	{
		map textures/mksteel/charon_lightning2_2.tga
		blendfunc add
		rgbGen wave noise 0 1 0.2 19 
		tcMod scroll -0.2 0.6
	}
	{
		map textures/mksteel/charon_flare3.tga
		blendfunc add
		rgbGen wave noise 0.4 1 0 12 
		tcMod scroll 0 0.6
	}
}

textures/mksteel/glass1
{
	qer_editorimage textures/mksteel/doomfx1.tga
	qer_trans 0.3
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/mksteel/doomfx1.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

// nonsolid versions for arch trims
textures/mksteel/span2_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/mksteel/span2.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/span2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/span3_nonsolid
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	qer_editorimage textures/mksteel/span3.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/span3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/spanglue_nonsolid
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	qer_editorimage textures/mksteel/spanglue.tga
	{
		map textures/mksteel/doomfx1.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/mksteel/spanglue.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/mksteel/q1c2tek_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/mksteel/q1c2tek.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mksteel/q1c2tek.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//---------------------------------------
// All hail Rage Against The Machine ;-)
//---------------------------------------
textures/mksteel/starc_graffiti_shiny
{
	qer_editorimage textures/mksteel/starc_graffiti.tga
	{
		map textures/mksteel/doomfx1red.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/mksteel/starc_graffiti.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


//--------------------------------------------------
// Standard id shader with nicer vertex deformation
//--------------------------------------------------
textures/mksteel/mksteel_water1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans 0.4
	surfaceparm trans
	surfaceparm water
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	tessSize 48
	deformVertexes wave 33 sin 1 2 0.5 0.5
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


//------------------------------------------------------------------------
// Electricity shader and textures ripped from charon3dm11 and recoloured
//------------------------------------------------------------------------
textures/mksteel/charon_lightning2
{
	q3map_surfacelight 500
	q3map_lightimage textures/mksteel/charon_lightning2.tga
	qer_editorimage textures/mksteel/charon_lightning2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/mksteel/charon_lightning2.tga
		blendfunc add
		rgbGen wave noise 0.2 1 0 16 
		tcMod scroll 0.4 0.9
	}
	{
		map textures/mksteel/charon_lightning2_2.tga
		blendfunc add
		rgbGen wave noise 0 1 0.2 19 
		tcMod scroll -0.5 0.9
	}
	{
		map textures/mksteel/charon_flare3.tga
		blendfunc add
		rgbGen wave noise 0.4 1 0 16 
		tcMod scroll 0 0.9
	}
	
	{
		map textures/mksteel/charon_lightning2.tga
		blendfunc add
		rgbGen wave noise 0.2 1 0 12 
		tcMod scroll 0.2 0.6
	}
	{
		map textures/mksteel/charon_lightning2_2.tga
		blendfunc add
		rgbGen wave noise 0 1 0.2 19 
		tcMod scroll -0.2 0.6
	}
	{
		map textures/mksteel/charon_flare3.tga
		blendfunc add
		rgbGen wave noise 0.4 1 0 12 
		tcMod scroll 0 0.6
	}
}